Bug 1297212 - wcslib 5.14 is available
wcslib 5.14 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: wcslib (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sergio Pascual
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-10 10:54 EST by Christian Dersch
Modified: 2016-04-19 18:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 18:32:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch which marks known failures at astropy 1.1.2 (4.41 KB, patch)
2016-03-26 08:44 EDT, Christian Dersch
no flags Details | Diff

  None (edit)
Description Christian Dersch 2016-01-10 10:54:33 EST
wcslib 5.12 is available for some weeks now. As this supports WCS distortion functions and much more, it would be nice to see it in future Fedora releases :) Thank you very much in advance. Also: Feel free to ask me if you need any help!
Comment 1 Sergio Pascual 2016-01-12 18:09:30 EST
We need the list of affected packages

dnf repoquery --whatrequires 'libwcs.so.4()(64bit)'

cpl-0:6.4.2-3.fc23.x86_64
kstars-0:15.04.3-1.fc23.x86_64
python-astropy-0:1.0.4-1.fc23.x86_64
python-astropy-0:1.0.5-2.fc23.x86_64
python3-astropy-0:1.0.4-1.fc23.x86_64
python3-astropy-0:1.0.5-2.fc23.x86_64
wcslib-devel-0:4.25.1-2.fc23.x86_64

So this means cpl, kstars and python-astropy. May be others?

astropy supports wcslib5. I don't know about the others.
Comment 2 Christian Dersch 2016-01-13 01:44:47 EST
I don't know any other packages with wcslib as a dep. I'll have a look at KStars as I'm also comaintaining it. Don't know about cpl.
Comment 3 Christian Dersch 2016-01-13 07:48:50 EST
http://copr.fedoraproject.org/coprs/lupinix/wcslib5-test/builds/ I rebuilt depending Rawhide packages without modification. Not yet completed.
Comment 4 Christian Dersch 2016-01-13 13:35:10 EST
astropy failed (test), known issue: https://github.com/astropy/astropy/issues/4460
Comment 5 Sergio Pascual 2016-01-14 06:46:34 EST
I would wait until this problem is fixed upstream
Comment 6 Christian Dersch 2016-01-14 06:54:09 EST
I agree with you
Comment 8 Jan Kurik 2016-02-24 09:15:24 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 9 Christian Dersch 2016-03-26 08:43:54 EDT
We should switch to wcslib 5.14 soon @Rawhide and Fedora 24 as astropy stopped supporting the old wcslib 4.x starting with astropy 1.1.2. I got everything up and running: https://copr.fedorainfracloud.org/coprs/lupinix/wcslib5-test/

Contains a build of wcslib 5.14, astropy 1.1.2 and rebuilds of other depending packages (cpl and kstars). For astropy a patch is needed which marks some tests as failing. This is related to an issue in numpy prerelease in 24 and rawhide.

You find the patch for astropy 1.1.2 in attachment, I've taken it from Debian.
Comment 10 Christian Dersch 2016-03-26 08:44 EDT
Created attachment 1140608 [details]
Patch which marks known failures at astropy 1.1.2
Comment 11 Sergio Pascual 2016-03-30 13:07:12 EDT
(In reply to Christian Dersch from comment #9)
> We should switch to wcslib 5.14 soon @Rawhide and Fedora 24 as astropy
> stopped supporting the old wcslib 4.x starting with astropy 1.1.2. I got
> everything up and running:
> https://copr.fedorainfracloud.org/coprs/lupinix/wcslib5-test/
> 
> Contains a build of wcslib 5.14, astropy 1.1.2 and rebuilds of other
> depending packages (cpl and kstars). For astropy a patch is needed which
> marks some tests as failing. This is related to an issue in numpy prerelease
> in 24 and rawhide.
> 
> You find the patch for astropy 1.1.2 in attachment, I've taken it from
> Debian.

Yes, I'm going to write a message to the devel list to announce the soname change. Thanks for your work Christian

Note You need to log in before you can comment on or make changes to this bug.